/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   home.css                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: edbernar <edbernar@student.42angouleme.    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/08/07 12:00:55 by edbernar          #+#    #+#             */
/*   Updated: 2024/11/21 11:06:55 by edbernar         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

@keyframes animShowMenuDiv {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}

@keyframes animHideMenuDiv {
	0% {
		opacity: 1;
	}
	100% {
		opacity: 0;
	}
}

@keyframes fadeInUp {
	0% {
	  opacity: 0;
	  transform: translate(-50%, 100%);
	}
	100% {
	  opacity: 1;
	  transform: translate(-50%, 0);
	}
  }

@keyframes blink {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0.3;
    }
}
  
::-webkit-scrollbar {
	width: 10px;
}

::-webkit-scrollbar-thumb {
	background: white;
  }


#topBar {
	margin-block: 25px;
	padding: 0;
	padding-inline: 50px;
	display: flex;
	gap: 2rem;
	align-items: center;
	position: absolute;
	inset-inline: 0;
	top: 0;
	z-index: 500;
}

#topButton{
	padding: 0;
	color: white;
	display: flex;
	font-size: 25px;
	padding-left: 60px;
	gap: 6rem;
}

#topButton p {
	position: relative;
}

#topButton p:after {
	content: "";
	position: absolute;
	background-color: white;
	height: 3px;
	width: 0%;
	left: 0;
	bottom: 1px;
	transition: 0.3s;
}

#topButton p:hover:after {
	width: 100%;
}

#topBar h1 {
	padding: 0;
	padding-top: 4px;
	font-size: 35px;
	color: white;
	font-family: 'Poppins';
	font-style: italic;
    font-weight: bold;
}

#topBar #loginButton {
	font-size: 20px;
	background-color: white;
	height: 40px;
	width: 130px;	
	color: black;
	text-align: center;
	line-height: 40px;
	margin-left: auto;
	transition: background-color 0.3s ease;
}

#topBar #loginButton:hover {
	background-color: transparent;
	color: white;
	cursor: pointer;
}

.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
	backdrop-filter: blur(5px);
    justify-content: center;
    align-items: center;
    z-index: 500;
}

.containerHomePage {
    display: flex;
    width: 70%;
    height: 80%;
    background-color: #020202;
	overflow: hidden;
	overflow-y: hidden;
}

.left-side {
    background-color: #D3D3D3;
    flex: 1;
}

.right-side {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0;
	padding-inline: 180px;
    color: white;
}

.right-side-register{
	flex: 1;
	display: none;
	flex-direction: column;
	justify-content: center;
	padding: 0;
	padding-inline: 180px;
	color: white;
}

.right-side-register h1 {
    font-size: 2rem;
    margin-bottom: 30px;
	text-align: center;
}

#cross-login{
	display: none;
	position: absolute;
	top: 20px;
	left: 20px;
	width: 70px;
	height: 70px;
	cursor: pointer;
	color: white;
}

.close {
    position: absolute;
    top: 110px;
    right: 250px;
	font-size: 2rem;
    cursor: pointer;
	color: white;
}

.right-side h1 {
    font-size: 2rem;
    margin-bottom: 30px;
	text-align: center;
}

form {
    display: flex;
    flex-direction: column;
}

label {
    margin-bottom: 5px;
    font-size: 1rem;
}

form input {
    border: none;
    padding: 20px;
    margin-bottom: 20px;
    font-size: 1rem;
	font-family: "Poppins", sans-serif;
	font-weight: 500;
	font-style: normal;
}

button {
    padding: 15px;
    font-size: 1rem;
    cursor: pointer;
    border: none;
	font-family: "Poppins", sans-serif;
	font-weight: 500;
	font-style: normal;
}

.login-btn {
    background-color: #fff;
    margin-bottom: 20px;
	transition: background-color 0.3s ease;
	color: black;
	-webkit-appearance: none;
}

.login-btn:focus {
	color: black;
}

.login-btn:hover {
	background-color: #f0f0f0e1;
}

.new-player {
    text-align: center;
    margin-bottom: 20px;
}

.new-player a {
    color: white;
    text-decoration: underline;
	transition: color 0.3s ease;
}

.new-player a:hover {
	color: #f0f0f0e1;
}

.old-player {
    text-align: center;
}

.old-player a {
    color: white;
    text-decoration: underline;
	transition: color 0.3s ease;
}

.old-player a:hover {
	color: #f0f0f0e1;
}

.divider {
    display: flex;
    align-items: center;
    text-align: center;
    margin-bottom: 20px;
}

.divider span {
    flex: 1;
    height: 1px;
    background-color: #fff;
}

.divider p {
    margin: 0 10px;
    font-size: 1rem;
}

.login-42-btn {
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
	transition: background-color 0.3s ease;
	color: black;
	-webkit-appearance: none;
}

.login-42-btn:focus {
	color: black;
}

#logo-ft {
	width: 40px;
	height: 40px;
	margin: 5px;
}

.login-42-btn:hover {
	background-color: #f0f0f0e1;
}

.homeSection{
	min-height: 100svh;
	overflow: hidden;
}

.homeSection p{
	color: white;
}

#firstText{
	font-size: 45px;
	padding-inline: 50px;
	padding-top: 70px;
}

#secondText{
	font-size: 45px;
	padding-inline: 50px;
	padding-top: 140px;
	text-align: right;
}

#firstBall{
	position: absolute;
	width: 340px;
	transform-origin: center;
	transform: translateX(-50%);
	left: 0;
}

#secondBall{
	position: absolute;
	width: 340px;
	transform-origin: center;
	transform: translateX(50%);
	top: 250px;
	right: 0;
}

.relative{
	position: relative;
}

#menuDiv {
	display: flex;
	flex-direction: column;
	align-items: right;
	font-family: "Poppins", sans-serif;
	background-color: #ffffff;
	animation: animShowMenuDiv 0.5s;
}

#menuDiv li {
	list-style-type: none;
	text-align: center;
	font-size: 16px;
	padding: 10px;
	cursor: pointer;
}

#menuDiv li:hover {
	background-color: #f0f0f0;
}

.team {
    display: flex;
    gap: 40px;
	padding-inline: 200px;
	padding-block: 200px;
	justify-content: center;
}

.team h2 {
	color: white;
	font-size: 30px;
}

.team-member {
    max-width: 350px;
	transition: transform 0.3s ease;
}

.team-member:hover {
    transform: scale(1.2);
}


.team-member:not(:hover) {
    transform: scale(0.8);
}

.team-photo {
    width: 100%;
    height: auto;
}

.centered-text {
	position: absolute;
	bottom: 65px;
	left: 50%;
	text-align: center;
	transform: translateX(-50%);
	font-size: 24px;
	color: white;
	opacity: 0;
	animation: fadeInUp 1.5s forwards 16s, blink 1.5s 17.5s infinite alternate;
  }

.info {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%) translateY(10px);
    background-color: #020202;
    padding: 10px;
    width: 100%;
    opacity: 0;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.team-member:hover .info {
    transform: translateX(-50%) translateY(55%);
    opacity: 1;
}

footer {
	padding: 25px;
	overflow: hidden;
	height: 150px;
	background-color: white;
	color: #020202;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-left h1 {
    font-size: 1.5em;
	font-style: italic;
    font-weight: bold;
    margin: 0;
}

.footer-left p {
    color: #afafaf;
}

.footer-right{
	margin-bottom: auto;
}

.footer-right p {
    font-weight: bold;
}

#popMenuLoginButton {
	background-color: white;
	position: absolute;
	z-index: 500;
	width: 130px;
	text-align: center;
	display: none;
	flex-direction: column;
	justify-content: center;
}

#popMenuLoginButton p {
	height: 40px;
	margin: 0;
	padding: 0;
	padding-top: 15px;
}

#popMenuLoginButton p:hover {
	background-color: #020202;
	color: white;
}

@media (max-width: 700px){
	#topButton {
		display: none;
	}
	#firstText{
		font-size: 30px;
		padding-inline: 20px;
		padding-top: 70px;
	}
	#secondText{
		font-size: 30px;
		padding-inline: 20px;
		padding-top: 140px;
	}
	#firstBall{
		position: absolute;
		width: 250px;
		transform-origin: center;
		transform: translateX(-50%);
		left: 0;
	}
	#secondBall{
		position: absolute;
		width: 250px;
		transform-origin: center;
		transform: translateX(50%);
		top: 650px;
		right: 0;
	}
	#cross-login{
		display: block;
	}
	.containerHomePage {
		width: 100%;
		height: 100%;
	}
	.right-side {
		padding-inline: 30px;
	}
	.right-side-register {
		padding-inline: 30px;
	}
	.left-side {
		display: none;
	}
	.team {
		display: grid;
		padding-inline: 30px;
		padding-top: 50px;
		padding-bottom: 70px;
		gap: 65px;
	}
	.team-member {
		max-width: 250px;
		width: 100%;
		height: auto;
	}
	.team-member:hover .info {
		opacity: 0;
	}

	form input {
		width: calc(100% - 40px);
	}
}